{-# LANGUAGE DerivingStrategies #-}
{-# LANGUAGE DeriveGeneric #-}
{-# LANGUAGE DerivingVia #-}
module Ubc.Parse.Syntax.Config
( Config(..)
, defaultConfig
)
where

import Data.Set (Set)

import Path (Path, Abs, Dir)
import GHC.Generics (Generic, Generically(..))

data Config = Config
        { includePaths :: Set (Path Abs Dir)
        }
        deriving stock (Generic, Show)
        deriving (Semigroup, Monoid) via Generically Config

defaultConfig :: Config
defaultConfig = mempty

